Bug 1091100 - Review Request: python-affinity - control processor affinity on windows and linux
Summary: Review Request: python-affinity - control processor affinity on windows and l...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 21:40 UTC by Nick Bebout
Modified: 2015-09-06 05:29 UTC (History)
7 users (show)

Fixed In Version: 0.1.0-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-25 16:06:23 UTC
jsmith.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nick Bebout 2014-04-24 21:40:36 UTC
Spec URL: http://nb.fedorapeople.org/python-affinity.spec
SRPM URL: http://nb.fedorapeople.org/python-affinity-0.1.0-2.fc20.src.rpm
Description: 'affinity' provides a simple api for setting the processor affinity by wrapping the specific underlying function calls of each platform. works on Windows (requires pywin32) and linux (kernel 2.6 or patched 2.4)
Fedora Account System Username: nb

Comment 1 Christopher Meng 2014-04-25 00:04:02 UTC
Will you support RHEL5(ships python 2.4)? If not remove those obsoleted macros and tags.

Comment 2 Pete Travis 2014-04-28 00:44:55 UTC
Hey Nick,

We talked about this on IRC a bit; if you have an updated package I'll be happy to take the review if Christopher happens to be busy at the time.

Comment 3 Christopher Meng 2014-06-21 11:29:32 UTC
I'm back, please answer my question in comment 1.

Comment 4 Nick Bebout 2014-08-18 19:28:12 UTC
I do not plan to build for EPEL 5.  I will remove the old macros and tags shortly.

Comment 6 Nick Bebout 2014-09-13 03:43:18 UTC
Christopher, any update on this review?

Comment 7 Christopher Meng 2014-09-13 09:21:11 UTC
(In reply to Nick Bebout from comment #6)
> Christopher, any update on this review?

You didn't remove the obsolete stuffs.

Comment 8 Nick Bebout 2015-08-04 23:22:04 UTC
Sorry, I didn't mean to WONTFIX this.  Reopening.

Comment 10 Jared Smith 2015-08-13 14:09:15 UTC
Please fix the permissions on the .so file (as shown in the output of 'rpmlint' below).  Other than that, things look sane.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in
     /home/jsmith/Documents/Personal/Reviews/1091100-python-
     affinity/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-affinity-0.1.0-4.fc22.x86_64.rpm
          python-affinity-0.1.0-4.fc22.src.rpm
python-affinity.x86_64: W: spelling-error Summary(en_US) linux -> Linux
python-affinity.x86_64: W: spelling-error %description -l en_US api -> API, pi, ape
python-affinity.x86_64: W: spelling-error %description -l en_US linux -> Linux
python-affinity.x86_64: W: no-documentation
python-affinity.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/affinity/_affinity.so 775
python-affinity.src: W: spelling-error Summary(en_US) linux -> Linux
python-affinity.src: W: spelling-error %description -l en_US api -> API, pi, ape
python-affinity.src: W: spelling-error %description -l en_US linux -> Linux
2 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-affinity-debuginfo-0.1.0-4.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python-affinity.x86_64: W: spelling-error Summary(en_US) linux -> Linux
python-affinity.x86_64: W: spelling-error %description -l en_US api -> API, pi, ape
python-affinity.x86_64: W: spelling-error %description -l en_US linux -> Linux
python-affinity.x86_64: W: no-documentation
python-affinity.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/affinity/_affinity.so 775
2 packages and 0 specfiles checked; 1 errors, 4 warnings.



Requires
--------
python-affinity (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-affinity:
    python-affinity
    python-affinity(x86-64)
    python2-ffinity



Unversioned so-files
--------------------
python-affinity: /usr/lib64/python2.7/site-packages/affinity/_affinity.so

Source checksums
----------------
http://pypi.python.org/packages/source/a/affinity/affinity-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 667141a5ab5f48e096d169bfa58c1ac7fd293ac70c9199e02ef0dbfdf53cd2c4
  CHECKSUM(SHA256) upstream package : 667141a5ab5f48e096d169bfa58c1ac7fd293ac70c9199e02ef0dbfdf53cd2c4


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1091100
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Jared Smith 2015-08-15 16:11:53 UTC
Package is approved.

Comment 13 Nick Bebout 2015-08-15 19:54:11 UTC
Thanks Jared!

New Package SCM Request
=======================
Package Name: python-affinity
Short Description: provides a simple API for setting the processor affinity by wrapping the specific underlying function calls of each platform
Upstream URL: https://pypi.python.org/pypi/affinity
Owners: nb
Branches: el6 el7 f21 f22 f23
InitialCC:

Comment 14 Gwyn Ciesla 2015-08-17 13:22:50 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2015-08-17 21:23:55 UTC
python-affinity-0.1.0-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-affinity-0.1.0-5.el7

Comment 16 Fedora Update System 2015-08-17 21:25:12 UTC
python-affinity-0.1.0-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-affinity-0.1.0-5.fc22

Comment 17 Fedora Update System 2015-08-17 21:25:20 UTC
python-affinity-0.1.0-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/python-affinity-0.1.0-5.fc23

Comment 18 Fedora Update System 2015-08-17 21:26:11 UTC
python-affinity-0.1.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-affinity-0.1.0-5.fc21

Comment 19 Fedora Update System 2015-08-17 21:43:34 UTC
python-affinity-0.1.0-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-affinity-0.1.0-5.el6

Comment 20 Fedora Update System 2015-08-18 16:58:06 UTC
python-affinity-0.1.0-5.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 21 Fedora Update System 2015-08-25 16:06:20 UTC
python-affinity-0.1.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-08-28 23:47:09 UTC
python-affinity-0.1.0-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-08-28 23:49:59 UTC
python-affinity-0.1.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-09-06 03:56:25 UTC
python-affinity-0.1.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-09-06 05:29:38 UTC
python-affinity-0.1.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.